:file
    set img_File=
    %tishi1% 刷入的vbmeta.img
    set /p img_File=%t1%
    if not defined img_File ( cls & %error% 未选择vbmeta.img镜像文件，刷个鸡儿 & goto file )
    if not exist %img_File% ( cls & %error% 选择的vbmeta.img镜像不存在，刷个鸡儿 & goto file )


:gn
    set option=
    echo - 1      禁用AVB2.0的DM校验
    echo - 2      禁用AVB2.0的启动校验
    echo - 3      禁用AVB2.0的启动校验/DM校验
    echo.
    echo.
    set /p option=%t2%
    busybox egrep "^:meum%option%$" "%~f0" && goto meum%option% || ( cls & echo. & %error% 输入错误请重新输入 & goto gn )


:meum1
    fastboot --disable-verity flash vbmeta %img_File%
    %fcq%
    abort


:meum2
    fastboot --disable-verification flash vbmeta %img_File%
    %fcq%
    abort


:meum3
    fastboot --disable-verity --disable-verification flash vbmeta %img_File%
    %fcq%
    abort
